﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace VECTOTrailer.Properties {
    
    
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "17.1.0.0")]
    public sealed partial class SimulationSettings : global::System.Configuration.ApplicationSettingsBase {
        
        private static SimulationSettings defaultInstance = ((SimulationSettings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new SimulationSettings())));
        
        public static SimulationSettings Default {
            get {
                return defaultInstance;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("False")]
        public bool WriteModData {
            get {
                return ((bool)(this["WriteModData"]));
            }
            set {
                this["WriteModData"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("False")]
        public bool WritePDFReport {
            get {
                return ((bool)(this["WritePDFReport"]));
            }
            set {
                this["WritePDFReport"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("False")]
        public bool BackgroundWriteModData {
            get {
                return ((bool)(this["BackgroundWriteModData"]));
            }
            set {
                this["BackgroundWriteModData"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("False")]
        public bool BackgroudWritePDF {
            get {
                return ((bool)(this["BackgroudWritePDF"]));
            }
            set {
                this["BackgroudWritePDF"] = value;
            }
        }
    }
}
